+++
title = "Cookbook"
weight = 10
sort_by = "weight"
template = "documentation.html"
+++

This cookbook will guide you from your first steps
to a real deployment of Aerogramme.

## Single-node, minimal deployment

A minimal deployment will allow you to deploy Aerogramme on a single-server
in a way that it works for a small production deployment. 
However, as Aerogramme is a distributed-first server,
you will not benefit from all of its nice properties, and many manual
work will be required.

 - [Local storage](@/documentation/cookbook/single-node-garage-storage.md)
 - [Configuration file](@/documentation/cookbook/config.md)
 - [User management](@/documentation/cookbook/static-user-management.md)
 - [TLS encryption](@/documentation/cookbook/tls-encryption.md)
 - [Integration with a service manager](@/documentation/cookbook/service-manager.md) (systemd or docker)
 - [SMTP server integration](@/documentation/cookbook/smtp-server.md) (MTA)

*Multi-node deployments and lifecycle maintainance are not covered yet.*

<!--
## Multi-nodes, standard deployment

Aerogramme is intended for multi-nodes deployment. This guide
will cover the specificities introduced by a multi-node deployment.

 - [LDAP user management](@/documentation/cookbook/ldap.md)
 - [Distributed storage](@/documentation/cookbook/garage-cluster-storage.md)
 - [Orchestrators](@/documentation/cookbook/orchestrators.md)
 - [Auto-discovery](@/documentation/cookbook/autodiscovery.md)

## Lifecycle

Hopefully you will love Aerogramme, and thus you will have to do some maintainance on it.

 - [Updates](@/documentation/cookbook/updates.md)
 - [Observability](@/documentation/cookbook/observability.md)
 - [Backups](@/documentation/cookbook/backups.md)

## Hardened flavor

 - [Manual configuration](@/documentation/cookbook/manual-hardened.md)
-->
